LV2 1.0.13

Data Structures | Macros
Data Access

## Detailed Description

Access to plugin extension_data() for UIs, see http://lv2plug.in/ns/ext/data-acess for details.

## Data Structures
struct | LV2_Extension_Data_Feature

## Macros
#define | LV2_DATA_ACCESS_URI "http://lv2plug.in/ns/ext/data-access"
#define | LV2_DATA_ACCESS_PREFIX LV2_DATA_ACCESS_URI "#"

## Data Structure Documentation

## ◆ LV2_Extension_Data_Feature

struct LV2_Extension_Data_Feature

The data field of the LV2_Feature for this extension.

To support this feature the host must pass an LV2_Feature struct to the instantiate method with URI "http://lv2plug.in/ns/ext/data-access" and data pointed to an instance of this struct.

### Data Fields
const void *(* | data_access )(const char *uri)

#### Field Documentation

## ◆ data_access

const void*(* LV2_Extension_Data_Feature::data_access) (const char *uri)

A pointer to a method the UI can call to get data (of a type specified by some other extension) from the plugin.

This call never is never guaranteed to return anything, UIs should degrade gracefully if direct access to the plugin data is not possible (in which case this function will return NULL).

This is for access to large data that can only possibly work if the UI and plugin are running in the same process. For all other things, use the normal LV2 UI communication system.

## Macro Definition Documentation

## ◆ LV2_DATA_ACCESS_URI

#define LV2_DATA_ACCESS_URI "http://lv2plug.in/ns/ext/data-access"

http://lv2plug.in/ns/ext/data-access

## ◆ LV2_DATA_ACCESS_PREFIX

#define LV2_DATA_ACCESS_PREFIX LV2_DATA_ACCESS_URI "#"

http://lv2plug.in/ns/ext/data-access#